org.apache.hadoop.yarn.server.nodemanager.webapp.dao

## Class NodeInfo

- java.lang.Object
- - org.apache.hadoop.yarn.server.nodemanager.webapp.dao.NodeInfo

-     public class NodeInfo
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `hadoopBuildVersion`
    `protected String` | `hadoopVersion`
    `protected String` | `hadoopVersionBuiltOn`
    `protected String` | `healthReport`
    `protected String` | `id`
    `protected long` | `lastNodeUpdateTime`
    `protected long` | `nmStartupTime`
    `protected boolean` | `nodeHealthy`
    `protected String` | `nodeHostName`
    `protected String` | `nodeManagerBuildVersion`
    `protected String` | `nodeManagerVersion`
    `protected String` | `nodeManagerVersionBuiltOn`
    `protected boolean` | `pmemCheckEnabled`
    `protected String` | `resourceTypes`
    `protected long` | `totalPmemAllocatedContainersMB`
    `protected long` | `totalVCoresAllocatedContainers`
    `protected long` | `totalVmemAllocatedContainersMB`
    `protected boolean` | `vmemCheckEnabled`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeInfo()`
    `NodeInfo(Context context, ResourceView resourceView)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHadoopBuildVersion()`
    `String` | `getHadoopVersion()`
    `String` | `getHadoopVersionBuiltOn()`
    `String` | `getHealthReport()`
    `boolean` | `getHealthStatus()`
    `long` | `getLastNodeUpdateTime()`
    `String` | `getNMBuildVersion()`
    `long` | `getNMStartupTime()`
    `String` | `getNMVersion()`
    `String` | `getNMVersionBuiltOn()`
    `String` | `getNodeHostName()`
    `String` | `getNodeId()`
    `String` | `getResourceTypes()`
    `long` | `getTotalPmemAllocated()`
    `long` | `getTotalVCoresAllocated()`
    `long` | `getTotalVmemAllocated()`
    `boolean` | `isPmemCheckEnabled()`
    `boolean` | `isVmemCheckEnabled()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### healthReport

          protected String healthReport

    - #### totalVmemAllocatedContainersMB

          protected long totalVmemAllocatedContainersMB

    - #### totalPmemAllocatedContainersMB

          protected long totalPmemAllocatedContainersMB

    - #### totalVCoresAllocatedContainers

          protected long totalVCoresAllocatedContainers

    - #### vmemCheckEnabled

          protected boolean vmemCheckEnabled

    - #### pmemCheckEnabled

          protected boolean pmemCheckEnabled

    - #### lastNodeUpdateTime

          protected long lastNodeUpdateTime

    - #### resourceTypes

          protected String resourceTypes

    - #### nodeHealthy

          protected boolean nodeHealthy

    - #### nodeManagerVersion

          protected String nodeManagerVersion

    - #### nodeManagerBuildVersion

          protected String nodeManagerBuildVersion

    - #### nodeManagerVersionBuiltOn

          protected String nodeManagerVersionBuiltOn

    - #### hadoopVersion

          protected String hadoopVersion

    - #### hadoopBuildVersion

          protected String hadoopBuildVersion

    - #### hadoopVersionBuiltOn

          protected String hadoopVersionBuiltOn

    - #### id

          protected String id

    - #### nodeHostName

          protected String nodeHostName

    - #### nmStartupTime

          protected long nmStartupTime

  - ### Constructor Detail

    - #### NodeInfo

          public NodeInfo()

    - #### NodeInfo

          public NodeInfo(Context context,
                          ResourceView resourceView)

  - ### Method Detail

    - #### getNodeId

          public String getNodeId()

    - #### getNodeHostName

          public String getNodeHostName()

    - #### getNMVersion

          public String getNMVersion()

    - #### getNMBuildVersion

          public String getNMBuildVersion()

    - #### getNMVersionBuiltOn

          public String getNMVersionBuiltOn()

    - #### getHadoopVersion

          public String getHadoopVersion()

    - #### getHadoopBuildVersion

          public String getHadoopBuildVersion()

    - #### getHadoopVersionBuiltOn

          public String getHadoopVersionBuiltOn()

    - #### getHealthStatus

          public boolean getHealthStatus()

    - #### getLastNodeUpdateTime

          public long getLastNodeUpdateTime()

    - #### getHealthReport

          public String getHealthReport()

    - #### getTotalVmemAllocated

          public long getTotalVmemAllocated()

    - #### getTotalVCoresAllocated

          public long getTotalVCoresAllocated()

    - #### isVmemCheckEnabled

          public boolean isVmemCheckEnabled()

    - #### getTotalPmemAllocated

          public long getTotalPmemAllocated()

    - #### isPmemCheckEnabled

          public boolean isPmemCheckEnabled()

    - #### getResourceTypes

          public String getResourceTypes()

    - #### getNMStartupTime

          public long getNMStartupTime()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.